# $Revision: 1.197 $, $Date: 2012/07/07 11:25:22 $
# TODO:
# - package virtfs-proxy-helper, qemu-bridge-helper.
# - update patches
# - qemu-system-ppc -hda ac-ppc.img says:
#   qemu: could not open disk image ac-ppc.img: error "Success"
#   qemu-0.12.2-2.x86_64.rpm - broken
#   qemu-0.12.3-3.x86_64/qemu-0.12.4-1.x86_64 - stops on "returning from prom_init"
#   qemu-0.15.0-2.x86_64.rpm - qemu-system-sparc/ppc booting with -kernel, -initrd options stalls in openbios prompt
#   qemu-0.11.1-*.x86_64.rpm - OK
#
# Conditional build:
%bcond_with	nosdlgui		# do not use SDL gui (use X11 instead)

Summary:	QEMU CPU Emulator
Summary(pl.UTF-8):	QEMU - emulator procesora
Name:		qemu
Version:	1.1.0
Release:	1
License:	GPL
Group:		Applications/Emulators
Source0:	http://wiki.qemu.org/download/%{name}-%{version}-1.tar.bz2
# Source0-md5:	f5c85c229b780bc39268845b6f365fc1
Patch0:		qemu-cflags.patch
Patch6:		%{name}-nosdlgui.patch
# Proof of concept, for reference, do not remove
Patch8:		%{name}-kde_virtual_workspaces_hack.patch
Patch17:	%{name}-whitelist.patch
URL:		http://wiki.qemu.org/Index.html
BuildRequires:	SDL-devel >= 1.2.1
BuildRequires:	alsa-lib-devel
BuildRequires:	bluez-libs-devel
BuildRequires:	gnutls-devel
BuildRequires:	ncurses-devel
BuildRequires:	perl-Encode
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	texi2html
BuildRequires:	texinfo
BuildRequires:	which
BuildRequires:	xen-devel
BuildRequires:	xorg-lib-libX11-devel
Requires:	%{name}-img = %{version}-%{release}
Requires:	%{name}-system-alpha = %{version}-%{release}
Requires:	%{name}-system-arm = %{version}-%{release}
Requires:	%{name}-system-cris = %{version}-%{release}
Requires:	%{name}-system-lm32 = %{version}-%{release}
Requires:	%{name}-system-m68k = %{version}-%{release}
Requires:	%{name}-system-microblaze = %{version}-%{release}
Requires:	%{name}-system-mips = %{version}-%{release}
Requires:	%{name}-system-ppc = %{version}-%{release}
Requires:	%{name}-system-s390x = %{version}-%{release}
Requires:	%{name}-system-sh4 = %{version}-%{release}
Requires:	%{name}-system-sparc = %{version}-%{release}
Requires:	%{name}-system-x86 = %{version}-%{release}
Requires:	%{name}-system-xtensa = %{version}-%{release}
Requires:	%{name}-user = %{version}-%{release}
# sparc is currently unsupported (missing cpu_get_real_ticks() impl in vl.c)
ExclusiveArch:	%{ix86} %{x8664} %{?with_userspace:ppc}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# some PPC/SPARC boot image in ELF format
%define		_noautostrip	.*%{_datadir}/qemu/.*-.*

%description
QEMU is a FAST! processor emulator. By using dynamic translation it
achieves a reasonnable speed while being easy to port on new host
CPUs. QEMU has two operating modes:

- User mode emulation. In this mode, QEMU can launch Linux processes
  compiled for one CPU on another CPU. Linux system calls are converted
  because of endianness and 32/64 bit mismatches. Wine (Windows
  emulation) and DOSEMU (DOS emulation) are the main targets for QEMU.

- Full system emulation. In this mode, QEMU emulates a full system,
  including a processor and various peripherials. It can also be used to
  provide virtual hosting of several virtual PC on a single server.

%description -l pl.UTF-8
QEMU to szybki(!) emulator procesora. Poprzez użycie dynamicznego
tłumaczenia osiąga rozsądną szybkość i jest łatwy do przeportowania,
aby działał na kolejnych procesorach. QEMU ma dwa tryby pracy:

- Emulacja trybu użytkownika. W tym trybie QEMU może uruchamiać
  procesy linuksowe skompilowane dla jednego procesora na innym
  procesorze. Linuksowe wywołania systemowe są tłumaczone ze względu na
  niezgodność kolejności bajtów w słowie i 32/64-bitowego rozmiaru
  słowa. Wine (emulacja Windows) i DOSEMU (emulacja DOS-a) to główne
  cele QEMU.

- Pełna emulacja systemu. W tym trybie QEMU emuluje cały system,
  włączając w to procesor i różne urządzenia peryferyjne. Może być także
  używane do wirtualnego hostowania kilku wirtualnych pecetów na
  pojedynczym serwerze.

%package  common
Summary:	QEMU common files needed by all QEMU targets
Group:		Development/Tools
Requires:	SDL >= 1.2.1
Conflicts:	qemu < 1.0-2

%description common
QEMU is a generic and open source processor emulator which achieves a
good emulation speed by using dynamic translation.

This package provides the common files needed by all QEMU targets.

%package  img
Summary:	QEMU command line tool for manipulating disk images
Group:		Development/Tools
Conflicts:	qemu < 1.0-2

%description img
This package provides a command line tool for manipulating disk images

%package user
Summary:	QEMU user mode emulation of qemu targets
Group:		Development/Tools
Requires:	%{name}-common = %{version}-%{release}

%description user
QEMU is a generic and open source processor emulator which achieves a
good emulation speed by using dynamic translation.

This package provides the user mode emulation of QEMU targets.

%package system-alpha
Summary:	QEMU system emulator for alpha
Group:		Development/Tools
Requires:	%{name}-common = %{version}-%{release}

%description system-alpha
QEMU is a generic and open source processor emulator which achieves a
good emulation speed by using dynamic translation.

This package provides the system emulator for alpha.

%package system-arm
Summary:	QEMU system emulator for arm
Group:		Development/Tools
Requires:	%{name}-common = %{version}-%{release}

%description system-arm
QEMU is a generic and open source processor emulator which achieves a
good emulation speed by using dynamic translation.

This package provides the system emulator for arm.

%package system-cris
Summary:	QEMU system emulator for cris
Group:		Development/Tools
Requires:	%{name}-common = %{version}-%{release}

%description system-cris
QEMU is a generic and open source processor emulator which achieves a
good emulation speed by using dynamic translation.

This package provides the system emulator for cris.

%package system-lm32
Summary:	QEMU system emulator for lm32
Group:		Development/Tools
Requires:	%{name}-common = %{version}-%{release}

%description system-lm32
QEMU is a generic and open source processor emulator which achieves a
good emulation speed by using dynamic translation.

This package provides the system emulator for lm32.

%package system-m68k
Summary:	QEMU system emulator for m68k
Group:		Development/Tools
Requires:	%{name}-common = %{version}-%{release}

%description system-m68k
QEMU is a generic and open source processor emulator which achieves a
good emulation speed by using dynamic translation.

This package provides the system emulator for m68k.

%package system-microblaze
Summary:	QEMU system emulator for microblaze
Group:		Development/Tools
Requires:	%{name}-common = %{version}-%{release}

%description system-microblaze
QEMU is a generic and open source processor emulator which achieves a
good emulation speed by using dynamic translation.

This package provides the system emulator for microblaze.

%package system-mips
Summary:	QEMU system emulator for mips
Group:		Development/Tools
Requires:	%{name}-common = %{version}-%{release}

%description system-mips
QEMU is a generic and open source processor emulator which achieves a
good emulation speed by using dynamic translation.

This package provides the system emulator for mips.

%package system-ppc
Summary:	QEMU system emulator for ppc
Group:		Development/Tools
Requires:	%{name}-common = %{version}-%{release}

%description system-ppc
QEMU is a generic and open source processor emulator which achieves a
good emulation speed by using dynamic translation.

This package provides the system emulator for ppc.

%package system-s390x
Summary:	QEMU system emulator for s390x
Group:		Development/Tools
Requires:	%{name}-common = %{version}-%{release}

%description system-s390x
QEMU is a generic and open source processor emulator which achieves a
good emulation speed by using dynamic translation.

This package provides the system emulator for s390x.

%package system-sh4
Summary:	QEMU system emulator for sh4
Group:		Development/Tools
Requires:	%{name}-common = %{version}-%{release}

%description system-sh4
QEMU is a generic and open source processor emulator which achieves a
good emulation speed by using dynamic translation.

This package provides the system emulator for sh4.

%package system-sparc
Summary:	QEMU system emulator for sparc
Group:		Development/Tools
Requires:	%{name}-common = %{version}-%{release}

%description system-sparc
QEMU is a generic and open source processor emulator which achieves a
good emulation speed by using dynamic translation.

This package provides the system emulator for sparc/sparc64.

%package system-x86
Summary:	QEMU system emulator for x86
Group:		Development/Tools
Requires:	%{name}-common = %{version}-%{release}

%description system-x86
QEMU is a generic and open source processor emulator which achieves a
good emulation speed by using dynamic translation.

This package provides the system emulator for x86. When being run in a
x86 machine that supports it, this package also provides the KVM
virtualization platform.

%package system-xtensa
Summary:	QEMU system emulator for xtensa
Group:		Development/Tools
Requires:	%{name}-common = %{version}-%{release}

%description system-xtensa
QEMU is a generic and open source processor emulator which achieves a
good emulation speed by using dynamic translation.

This package provides the system emulator for xtensa.

%prep
%setup -q
%patch0 -p1
%{?with_nosdlgui:%patch6 -p1}
#patch8 -p1
%patch17 -p0

# workaround for conflict with alsa/error.h
ln -s ../error.h qapi/error.h

%build
./configure \
	--extra-cflags="%{rpmcflags} -I/usr/include/ncurses" \
	--extra-ldflags="%{rpmldflags}" \
	--sysconfdir=%{_sysconfdir} \
	--prefix=%{_prefix} \
	--cc="%{__cc}" \
	--host-cc="%{__cc}" \
	--enable-mixemu \
	--audio-drv-list="alsa" \
	--interp-prefix=%{_libdir}/%{name}
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/qemu-ifup
#!/bin/sh

EOF

# already packaged
rm -rf $RPM_BUILD_ROOT%{_docdir}/qemu/qemu-{doc,tech}.html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)

%files common
%defattr(644,root,root,755)
%doc README qemu-doc.html qemu-tech.html
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/qemu-ifup
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/qemu/target-*.conf
%dir %{_sysconfdir}/qemu
%attr(755,root,root) %{_bindir}/qemu-nbd
%{_mandir}/man1/qemu.1*
%{_mandir}/man8/qemu-nbd.8*

%dir %{_datadir}/qemu
%{_datadir}/%{name}/cpus-*.conf
%{_datadir}/%{name}/keymaps
# various bios images
%{_datadir}/%{name}/*.bin
%{_datadir}/%{name}/*.rom
%{_datadir}/%{name}/*.dtb
%{_datadir}/%{name}/openbios-ppc
%{_datadir}/%{name}/openbios-sparc*
%{_datadir}/%{name}/palcode-clipper

%files img
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qemu-img
%{_mandir}/man1/qemu-img.1*

%files user
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qemu-x86_64
%attr(755,root,root) %{_bindir}/qemu-i386
%attr(755,root,root) %{_bindir}/qemu-alpha
%attr(755,root,root) %{_bindir}/qemu-arm
%attr(755,root,root) %{_bindir}/qemu-armeb
%attr(755,root,root) %{_bindir}/qemu-cris
%attr(755,root,root) %{_bindir}/qemu-ga
%attr(755,root,root) %{_bindir}/qemu-io
%attr(755,root,root) %{_bindir}/qemu-m68k
%attr(755,root,root) %{_bindir}/qemu-microblaze
%attr(755,root,root) %{_bindir}/qemu-microblazeel
%attr(755,root,root) %{_bindir}/qemu-mips
%attr(755,root,root) %{_bindir}/qemu-mipsel
%attr(755,root,root) %{_bindir}/qemu-ppc
%attr(755,root,root) %{_bindir}/qemu-ppc64
%attr(755,root,root) %{_bindir}/qemu-ppc64abi32
%attr(755,root,root) %{_bindir}/qemu-s390x
%attr(755,root,root) %{_bindir}/qemu-sh4
%attr(755,root,root) %{_bindir}/qemu-sh4eb
%attr(755,root,root) %{_bindir}/qemu-sparc
%attr(755,root,root) %{_bindir}/qemu-sparc32plus
%attr(755,root,root) %{_bindir}/qemu-sparc64
%attr(755,root,root) %{_bindir}/qemu-unicore32

%files system-alpha
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qemu-system-alpha

%files system-arm
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qemu-system-arm

%files system-cris
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qemu-system-cris

%files system-lm32
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qemu-system-lm32

%files system-m68k
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qemu-system-m68k

%files system-microblaze
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qemu-system-microblaze
%attr(755,root,root) %{_bindir}/qemu-system-microblazeel

%files system-mips
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qemu-system-mips
%attr(755,root,root) %{_bindir}/qemu-system-mipsel
%attr(755,root,root) %{_bindir}/qemu-system-mips64
%attr(755,root,root) %{_bindir}/qemu-system-mips64el

%files system-ppc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qemu-system-ppc
%attr(755,root,root) %{_bindir}/qemu-system-ppc64
%attr(755,root,root) %{_bindir}/qemu-system-ppcemb

%files system-s390x
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qemu-system-s390x

%files system-sh4
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qemu-system-sh4
%attr(755,root,root) %{_bindir}/qemu-system-sh4eb

%files system-sparc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qemu-system-sparc
%attr(755,root,root) %{_bindir}/qemu-system-sparc64

%files system-x86
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qemu-system-i386
%attr(755,root,root) %{_bindir}/qemu-system-x86_64

%files system-xtensa
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qemu-system-xtensa
%attr(755,root,root) %{_bindir}/qemu-system-xtensaeb

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qemu.spec,v $
Revision 1.197  2012/07/07 11:25:22  pluto
- updated to 1.1.0 (TODO: package new features).

Revision 1.196  2012/02/26 07:33:45  pluto
- updated to 1.0.1.

Revision 1.195  2012/02/23 14:21:09  baggins
- removed dead code
- fixed cflags passing

Revision 1.194  2012/02/23 14:18:37  baggins
- rel 8
- removed obsolete/outdated patches

Revision 1.193  2012/02/23 14:14:17  baggins
- rel 7
- do not obsolete qemu-kvm, qemu-kvm is far more advanced

Revision 1.192  2012/02/08 15:26:33  adamg
- BR: texinfo (for building manpages)
- fix noautostrip regexp
- release 6 (rebuild against libpng-1.5)

Revision 1.191  2012/02/08 13:38:23  arekm
- rel 5

Revision 1.190  2012/02/07 22:06:47  arekm
- release 4

Revision 1.189  2012/01/10 07:59:36  arekm
- release 3

Revision 1.188  2012/01/06 00:18:20  glen
- skip bios.bin stripping, breaks i486 builder

Revision 1.187  2012/01/05 22:27:29  glen
- -system-xxx subpackages for each major system, -user for userspace emu, main pkg stays metapackage pulling them all (like it was befor splitting)

Revision 1.186  2011/12/04 12:01:01  arekm
- rel 1; qemu-kvm obsoleted

Revision 1.185  2011/12/02 00:10:08  wiget
- Start update to 1.0

Revision 1.184  2011/10/20 21:36:41  gzohop
- workaround for conflict with alsa/error.h

Revision 1.183  2011/10/20 17:32:03  gzohop
- up to 0.15.1

Revision 1.182  2011/08/31 06:58:45  arekm
- release 2

Revision 1.181  2011/08/09 08:37:15  gzohop
- up to 0.15.0

Revision 1.180  2011/05/15 20:50:09  gzohop
- Up to 0.14.1

Revision 1.179  2011/03/22 23:39:25  gzohop
- cflags passing

Revision 1.178  2011/03/21 21:30:42  gzohop

- up to 0.14.0, build&works for Th i686
- TODO up nosdlgui.patch

Revision 1.177  2010/10/23 13:28:34  draenog
- up to 0.13.0
- new homepage address

Revision 1.176  2010/09/15 15:53:46  draenog
- up to 0.12.5
- specify make -j only in one place

Revision 1.175  2010/05/24 15:24:24  glen
- 0.12.4 broken as well

Revision 1.174  2010/05/24 14:24:35  glen
- qemu-0.12.3-3.x86_64 still unusable

Revision 1.173  2010/05/19 17:58:43  draenog
- 0.12.4
- adapterized

Revision 1.172  2010/04/12 12:41:38  baggins
- rel 3

Revision 1.171  2010/04/11 06:28:59  arekm
- release 2

Revision 1.170  2010/03/26 13:48:37  draenog
- up to 0.12.3
- whitelist patch

Revision 1.169  2010/03/25 15:40:38  glen
- this version is broken to run qemu-system-ppc

Revision 1.168  2010/02/15 09:40:52  arekm
- release 2

Revision 1.167  2010/02/02 18:15:20  sparky
- dropped BR: texinfo-texi2dvi

Revision 1.166  2010/02/02 17:48:11  mguevara
- updated and enabled qemu-ncurses.patch

Revision 1.165  2010/02/02 16:15:01  mguevara
- 0.12.2-1, older 0.11 line of Qemu, which supports kqemu, is available as
  the QEMU_0_11 branch

Revision 1.164  2010/01/18 18:35:39  glen
- remove NAME=%k:
  udevd[15120]: NAME="%k" is superfluous and breaks kernel supplied names, please remove it

Revision 1.163  2010/01/08 18:10:31  arekm
- release 7

Revision 1.162  2009/12/19 11:00:28  arekm
- release 6

Revision 1.161  2009/12/16 18:00:21  arekm
- release 5

Revision 1.160  2009/12/14 12:18:07  baggins
- rel 4

Revision 1.159  2009/12/12 20:03:03  arekm
- release 3

Revision 1.158  2009/12/09 16:59:02  sparky
- userspace: BR: perl-Encode

Revision 1.157  2009/12/09 13:35:07  baggins
- rel 2

Revision 1.156  2009/12/03 12:57:27  mguevara
- up to 0.11.1

Revision 1.155  2009/11/22 20:58:16  arekm
- release 4

Revision 1.154  2009/11/12 09:38:03  arekm
- release 3

Revision 1.153  2009/11/01 16:39:13  arekm
- release 2

Revision 1.152  2009/10/24 22:11:39  adamg
- release 1

Revision 1.151  2009/10/24 20:10:35  adamg
- updated to 0.11.0

Revision 1.150  2009/10/21 19:06:04  arekm
- release 3

Revision 1.149  2009/08/01 20:10:58  arekm
- release 2

Revision 1.148  2009/05/22 10:48:39  witekfl
- up to 0.10.5

Revision 1.147  2009/05/14 19:23:57  witekfl
- up to 0.10.4

Revision 1.146  2009/05/06 13:50:40  zbyniu
- up to 0.10.3

Revision 1.145  2009/04/21 20:56:36  arekm
- up to 0.10.2

Revision 1.144  2009/04/21 20:02:09  arekm
- release 3

Revision 1.143  2009/03/25 19:40:30  arekm
- release 2

Revision 1.142  2009/03/22 19:40:41  arekm
- up to 0.10.1

Revision 1.141  2009/03/18 08:40:56  arekm
- release 4

Revision 1.140  2009/03/13 19:58:33  arekm
- release 2

Revision 1.139  2009/03/13 19:56:46  arekm
- rel 1

Revision 1.138  2009/03/08 23:43:33  charles
- BR: pkgconfig, xorg-lib-libX11-devel (sdl.c)

Revision 1.137  2009/03/07 22:45:04  arekm
- fix ncurses detection; enable mixemu; enable TLS in VNC support

Revision 1.136  2009/03/07 22:32:12  arekm
- add BR: bluez-libs-devel

Revision 1.135  2009/03/07 22:31:12  arekm
- up to 0.10.0

Revision 1.134  2009/02/26 21:46:48  arekm
- release 30

Revision 1.133  2009/02/17 23:04:12  arekm
- release 29

Revision 1.132  2009/02/10 07:27:37  arekm
- release 28

Revision 1.131  2009/02/07 16:56:57  arekm
- release 27

Revision 1.130  2009/01/25 12:55:40  arekm
- release 26

Revision 1.129  2009/01/21 08:29:34  arekm
- rel 25; fixed CVE-2008-2382

Revision 1.128  2009/01/19 12:30:18  arekm
- release 24

Revision 1.127  2009/01/15 12:54:06  arekm
- release 23

Revision 1.126  2009/01/10 22:37:28  arekm
- release 22

Revision 1.125  2008/12/29 11:09:34  blues
- CVE-2008-2382 security blocker

Revision 1.124  2008/12/19 06:30:59  arekm
- release 21

Revision 1.123  2008/12/14 11:42:53  arekm
- release 20

Revision 1.122  2008/12/06 09:00:07  arekm
- release 19

Revision 1.121  2008/11/21 16:15:38  arekm
- release 18

Revision 1.120  2008/11/08 09:26:59  arekm
- release 17

Revision 1.119  2008/11/04 08:19:53  arekm
- rel 16; fix build

Revision 1.118  2008/11/04 07:41:53  arekm
- release 15

Revision 1.117  2008/10/13 20:47:50  arekm
- release 14

Revision 1.116  2008/09/02 06:42:00  arekm
- release 13

Revision 1.115  2008/08/07 17:50:21  arekm
- release 12

Revision 1.114  2008/08/05 06:43:21  arekm
- rel 11

Revision 1.113  2008/08/04 22:10:44  arekm
- rel 10; use compat-gcc-34 for building

Revision 1.112  2008/07/08 09:32:59  blues
- updated url

Revision 1.111  2008/05/23 23:44:06  glen
- disable debuginfo for kernel only build

Revision 1.110  2008-05-23 23:18:14  glen
- add -CVE-2008-0928.patch, -CVE-2008-2004.patch from gentoo; rel 9

Revision 1.109  2008-04-04 21:19:33  glen
- userspace build fix merge from AC-branch

Revision 1.108  2008-04-04 21:13:16  glen
- fixes from AC-branch

Revision 1.107  2008-02-13 00:01:20  wolvverine
- rel.8

Revision 1.106  2008-02-11 20:04:24  glen
- revert

Revision 1.104  2008-02-11 14:16:17  glen
- gcc4 patches not updated, try without

Revision 1.103  2008-02-11 14:10:09  glen
- merge with AC-branch

Revision 1.102  2008-02-11 11:32:48  arekm
- rel 6

Revision 1.101  2008-02-10 22:51:37  wolvverine
- rel.5

Revision 1.100  2008-02-07 00:15:57  glen
- md5 fix

Revision 1.99  2008-02-07 00:00:01  glen
- merge qemu 0.9.1 from AC-branch

Revision 1.98  2008-01-21 07:11:35  wolvverine
- rel.60 for 2.6.22.16-4

Revision 1.97  2007-12-28 22:00:20  arvenil
- BR: which
- sort BRs

Revision 1.96  2007-12-25 22:17:38  glen
- rel 59

Revision 1.95  2007-12-24 05:41:28  wolvverine
- up rel.5

Revision 1.94  2007-12-15 22:59:19  glen
- alt kernel build support
- move sources alter to prep

Revision 1.93  2007-12-14 09:04:53  wolvverine
- rel.4 for 2.6.22.14-6

Revision 1.92  2007-12-05 20:54:44  wolvverine
- rel.3

Revision 1.91  2007/10/16 02:38:12  glen
- there's only one kernel pkg

Revision 1.90  2007/10/16 02:33:49  glen
- add grsec_kernel bcond

Revision 1.89  2007/08/05 05:13:24  wolvverine
- rel.2

Revision 1.88  2007/04/19 21:51:17  twittner
- qemu-ifup backs to standard location (from /sbin to /etc dir)
- don't put any content in /etc/qemu-ifup but shebang.
  What I need and have in qemu-ifup is completely different what
  was provided by /sbin/qemu-ifup

Revision 1.87  2007/04/17 17:47:51  adamg
- only one kernel subpackage
- userspace bcond
- fixed build (make -j2 broke build)

Revision 1.86  2007/04/04 18:55:06  qboosh
- support ppc, just with kqemu disabled

Revision 1.85  2007/03/14 12:05:25  pascalek
- use gcc4 by default (HEAD if for Th)
- added dosguest patch with dosguest bcond

Revision 1.84  2007/03/13 09:13:06  glen
- allow only userspace build

Revision 1.83  2007/03/13 08:50:24  czarny
- added bcond_without up, as up module wouldn't build without defining with up to 1
- safety check for without up and without smp

Revision 1.82  2007/02/13 20:41:54  glen
- patch from jakubowski kamil

Revision 1.81  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.80  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.79  2007/02/06 23:00:05  glen
- update modules License

Revision 1.78  2007/02/06 22:52:44  aredridel
- start of 0.9.0
- Licensing issues are resolved, but kqemu must now be built

Revision 1.77  2007/01/26 10:22:54  glen
- reverted, kqemu bcond is for application support
- kernel module is what is restricted

Revision 1.76  2007/01/25 23:33:12  hawk
- disabled kqemu bcond, kqemu requires explicit authorization to distribute
- release 2

Revision 1.75  2007/01/11 11:17:11  arekm
- disable gcc4 bcond; broken

Revision 1.74  2006/12/24 09:39:01  qboosh
- kqemu requires explicit authorization to distribute - use NoSource

Revision 1.73  2006/12/24 02:15:28  qboosh
- macros for kernel not userspace

Revision 1.72  2006/12/21 20:33:48  qboosh
- clearer comment

Revision 1.71  2006/12/21 19:30:09  glen
- rel 1

Revision 1.70  2006/11/29 21:39:22  arekm
- more gcc4 patches

Revision 1.69  2006/11/29 18:40:44  arekm
- enable gcc4 by default

Revision 1.68  2006/11/25 20:53:49  mmazur
- added (commented out) patch allowing to use fullscreen qemu as a whole
  workspace in kde

Revision 1.67  2006/11/14 20:36:22  sparky
- BR: rpmbuild(macros) >= 1.330 -- build_kernel_modules fix for kernels 2.6.18

Revision 1.66  2006/11/14 20:29:59  sparky
- userspace BRs inside bcond

Revision 1.65  2006/11/13 16:36:53  sparky
- tab

Revision 1.64  2006/11/13 16:31:16  sparky
- kqemu: rename suplied .o to .o.bin so they won't be deleted in make clean

Revision 1.63  2006/11/13 16:11:15  sparky
- typo

Revision 1.62  2006/11/13 12:38:10  sparky
- %{_alt_kernel} support
- use %build_kernel_modules, %install_kernel_modules (not tested)

Revision 1.61  2006/11/12 23:35:03  undefine
- smp

Revision 1.60  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.59  2006/08/29 17:55:39  glen
- -j1 for make prepare scripts

Revision 1.58  2006/08/10 11:13:22  qboosh
- removed outdated gcc33,parallel patches

Revision 1.57  2006/08/05 21:36:22  hawk
- removed NoSource for Source1, not needed anymore

Revision 1.56  2006/08/04 14:32:21  hawk
- updated to 0.8.2
- updated kqemu to 1.3.0pre9 + s/NoSource/Source/ for it
- gcc33 patch seems to be obsolete

Revision 1.55  2006/06/11 22:29:47  tommat
- more BRs checked by configure to build documentation

Revision 1.54  2006/05/23 21:48:39  glen
- renumber patches
- pass --kernel-path to configure just to be sure

Revision 1.53  2006/05/20 00:49:52  glen
- bconds can be confusing sometimes

Revision 1.52  2006/05/20 00:42:16  glen
- always enable kqemu support, it's kqemu module that's restricted, not base
- /dev/kqemu dropped from base, should be in kernel pkg, but major unlikely matches (just use udev)

Revision 1.51  2006/05/19 23:13:37  glen
- updated to 0.8.1
- dropped DESTDIR,initrd_load_addr,slirp_throttle (applied upstream)
- udev and modprobe config fixes

Revision 1.50  2006/05/19 21:08:25  glen
- modprobe.d dir is versioned

Revision 1.49  2006/05/19 21:01:21  glen
- update kqemu to 1.3.0pre7
- use /etc/modprobe.d for alias
- sources shouldn't be bconded (nosource is sufficent)

Revision 1.48  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.47  2006/02/22 23:37:43  sparky
- fixed build with PREEMPT_RT
- no kqemu on ppc

Revision 1.46  2006/02/22 23:27:12  sparky
- fixed new way module building

Revision 1.45  2006/02/14 22:06:06  jajcus
- kqemu kernel module build procedure updated

Revision 1.44  2005/12/26 13:29:07  charles
- added -slirp_throttle.patch (increases user-net performance)

Revision 1.43  2005/12/25 13:47:31  qboosh
- pass --disable-gcc-check if with gcc4 (but doesn't build anyway)

Revision 1.42  2005/12/23 15:05:04  undefine
- conditional use gcc4 patches - broke build on i386/i586
- use FHS-compatibile path to emulated libraries

Revision 1.41  2005/12/21 03:15:28  charles
- added ALSA driver support

Revision 1.40  2005/12/21 01:19:22  undefine
- qemu-gcc33.patch - small workaround to gcc33

Revision 1.39  2005/12/21 01:05:27  undefine
- up to 0.8.0

Revision 1.38  2005/12/17 09:48:47  undefine
- kqemu isn't GPL
- release 2

Revision 1.37  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.36  2005/09/06 11:08:06  glen
- add modprobe.conf hint

Revision 1.35  2005/09/06 01:52:21  charles
- updated to 0.7.2
- updated -gcc4_x86.patch
- killed -g from CFLAGS

Revision 1.34  2005/08/24 07:12:17  glen
- supply /sbin/qemu-ifup script

Revision 1.33  2005/08/20 05:54:55  charles
- separated kernel modules + bconds
- updated BRs

Revision 1.32  2005/08/18 11:13:13  qboosh
- use NoSource1-md5 again

Revision 1.31  2005/08/18 10:42:49  krolik
- update kqemu accelerator to 0.7.1-1

Revision 1.30  2005/08/06 10:38:53  pascalek
- Updated to 0.7.1

Revision 1.29  2005/07/07 00:36:12  pascalek
- nosdlgui patch added (with bcond)

Revision 1.28  2005/07/04 08:25:06  pascalek
- Release 1.3; Parallel port support patch

Revision 1.27  2005/06/21 08:31:43  prism
- cosmetics

Revision 1.26  2005/06/20 16:45:52  prism
- added TODO
- added bcond to pass rpmcflags to Makefiles
- added fixes for gcc4
- cannot determine proper combination of cflags to build it using gcc4...

Revision 1.25  2005/05/31 12:17:37  jajcus
- higher INITRD_LOAD_ADDR, so a big kernel, like that in PLD, can successfully be booted (-initrd_load_addr.patch)

Revision 1.24  2005/05/20 20:17:55  zbyniu
- now builds, and works; banner; NFY
- (by Marcin Sztolcman <msztolcman@post.pl>)

Revision 1.23  2005/05/19 21:02:36  zbyniu
- build kernel modules, now is broken without kqemu, NFY

Revision 1.22  2005/05/11 17:05:48  qboosh
- use x8664 macro

Revision 1.21  2005/05/04 17:37:54  wolf
- kqemu bcond

Revision 1.20  2005/05/01 12:38:05  qboosh
- documented optflags failure

Revision 1.19  2005/05/01 12:06:34  qboosh
- added dot patch (fixes qemu-sparc build on amd64)

Revision 1.18  2005/05/01 11:33:40  qboosh
- updated to 0.7.0, updated DESTDIR patch

Revision 1.17  2005/03/04 17:07:20  kolodko
- up description

Revision 1.16  2005/02/22 11:42:32  qboosh
- sparc is currently unsupported; amd64 patch mostly included

Revision 1.15  2005/02/22 11:15:54  qboosh
- disabled gcc34 patch (breaks build on gcc 3.3); release 2

Revision 1.14  2004/11/16 19:45:39  wolf
- 0.6.1

Revision 1.13  2004/10/16 13:56:14  pluto
- wrr, target-list reverted. we wan't all targets on all supported archs.

Revision 1.12  2004/10/16 13:42:37  pluto
- ppc related compilation fix.

Revision 1.11  2004/10/16 13:29:55  pluto
- target list added. test build...

Revision 1.10  2004/10/16 13:08:41  pluto
- exclusieveArch added.

Revision 1.9  2004/10/16 13:04:46  pluto
- gcc 3.4 workaround.

Revision 1.8  2004/10/16 12:34:43  pluto
- longjmp fix.

Revision 1.7  2004/10/16 11:13:39  pluto
- updated to 0.6.0.
- still doesn't build with gcc 3.4 (http://gcc.gnu.org/PR11203).

Revision 1.6  2004/04/10 09:59:15  qboosh
- pl

Revision 1.5  2004/02/05 01:15:03  undefine
- patch to amd64(?) support from mdk

Revision 1.4  2004/02/05 01:06:25  undefine
- md5

Revision 1.3  2004/02/05 01:04:39  undefine
- DESTDIR patch

Revision 1.2  2004/02/05 00:53:33  undefine
- more options to configure, nostatic patch

Revision 1.1  2004/02/05 00:34:59  undefine
- initital version, from mdk. NFY
